Subject: 25.1; Add REGION-NONCONTIGUOUS-P arg to other replace.el commands
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Mon, 31 Jul 2017 21:37:23 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject line says it all.

The patch is trivial - just do the same thing to commands such as
`replace-string', `replace-regexp', `query-replace-regexp-eval', and
`map-query-replace-regexp' as you did to `query-replace' and
`query-replace-regexp': add REGION-NONCONTIGUOUS-P arg to the
interactive spec the same way, and pass it to `perform-replace' the same
way.

(Shouldn't this have been done in the first place?)

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-09-17 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install CFLAGS=-static'